Package: io.vertx.groovy.ext.shell.cli

## [Groovy] Class CliToken

- io.vertx.groovy.ext.shell.cli.CliToken

- A parsed token in the command line interface.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CliToken (java.lang.Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `static CliToken` | `createBlank(java.lang.String blank)` Create a new blank token.
    `static CliToken` | `createText(java.lang.String text)` Create a text token.
    `java.lang.Object` | `getDelegate()`
    `boolean` | `isBlank()` @return true when it's a blank token
    `boolean` | `isText()` @return true when it's a text token
    `java.lang.String` | `raw()` @return the raw token value, that may contain unescaped chars, for instance
    `static java.util.List<CliToken>` | `tokenize(java.lang.String s)` Tokenize the string argument and return a list of tokens.
    `java.lang.String` | `value()` @return the token value

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### CliToken(java.lang.Object delegate)

  - ### Method Detail

    - #### static CliToken createBlank(java.lang.String blank)

      Create a new blank token.

      Returns:
        the token
      Parameters:
        `blank` - the blank value

    - #### static CliToken createText(java.lang.String text)

      Create a text token.

      Returns:
        the token
      Parameters:
        `text` - the text

    - #### java.lang.Object getDelegate()

    - #### boolean isBlank()

      Returns:
        true when it's a blank token

    - #### boolean isText()

      Returns:
        true when it's a text token

    - #### java.lang.String raw()

      Returns:
        the raw token value, that may contain unescaped chars, for instance

    - #### static java.util.List<CliToken> tokenize(java.lang.String s)

      Tokenize the string argument and return a list of tokens.

      Returns:
        the tokens
      Parameters:
        `s` - the tokenized string

    - #### java.lang.String value()

      Returns:
        the token value